%define majver %(echo %version | cut -d. -f 1-2)
Name:          libSDL_net
Version:       1.2.8
Release:       3mamba
Summary:       SDL portable network library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.libsdl.org/projects/SDL_net/
Source:        http://www.libsdl.org/projects/SDL_net/release/SDL_net-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL-devel
BuildRequires: libdirectfb-devel
BuildRequires: libts-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
This is a portable network library for use with SDL.

%package devel
Summary:       Libraries and includes to develop SDL networked applications
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description devel
This is a portable network library for use with SDL.
This is the libraries and include files you can use to develop SDL networked applications.

%debug_package

%prep
%setup -q -n SDL_net-%{version}

%build
%configure \
   --disable-gui

%make

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}//libSDL_net-%{majver}.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/SDL/*.h
%{_libdir}/libSDL_net.a
%{_libdir}/libSDL_net.so
%{_libdir}/pkgconfig/SDL_net.pc
%doc CHANGES README

%changelog
* Mon Oct 30 2023 Automatic Build System <autodist@mambasoft.it> 1.2.8-3mamba
- automatic rebuild by autodist

* Sun Oct 29 2023 Automatic Build System <autodist@mambasoft.it> 1.2.8-2mamba
- automatic rebuild by autodist

* Wed Jan 25 2012 Automatic Build System <autodist@mambasoft.it> 1.2.8-1mamba
- automatic version update by autodist

* Tue Jul 01 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.7-1mamba
- update to 1.2.7

* Thu Oct 26 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.6-1qilnx
- update to version 1.2.6 by autospec

* Thu Nov 11 2004 Davide Madrisan <davide.madrisan@qilinux.it> 1.2.5-2qilnx
- rebuild and moved to devel official QiLinux repository

* Wed Sep 08 2004 Matteo Bernasconi <voyagernm@virgilio.it> 1.2.5-1qilnx
- first build
